[SOLVED]No way to update python3.10 on my linux mint mate 20.3 Una

We Are Going To Discuss About [SOLVED]No way to update python3.10 on my linux mint mate 20.3 Una. So lets Start this Python Article.

[SOLVED]No way to update python3.10 on my linux mint mate 20.3 Una

  1. [SOLVED]No way to update python3.10 on my linux mint mate 20.3 Una

    Same thing happened to me. When apt fails I go for https://pkgs.org/, search the package, download and install manually. It usually works.

  2. No way to update python3.10 on my linux mint mate 20.3 Una

    Same thing happened to me. When apt fails I go for https://pkgs.org/, search the package, download and install manually. It usually works.

Solution 1

Here is how I solved the same issue in Ubuntu 20.04

Locate package libpython3.10-stdlib

$ apt-cache policy libpython3.10-stdlib
libpython3.10-stdlib:
  Installed: 3.10.4-1+focal1
  Candidate: 3.10.4-1+focal2
  Version table:
     3.10.4-1+focal2 500
        500 http://ppa.launchpad.net/deadsnakes/ppa/ubuntu focal/main amd64 Packages
 *** 3.10.4-1+focal1 100
        100 /var/lib/dpkg/status

$ ls -l /var/lib/dpkg/info | grep -i libpython3.10-stdlib
-rw-r--r-- 1 root root   14489 Apr 10 00:26 libpython3.10- stdlib:amd64.list
-rw-r--r-- 1 root root   23536 Mär 24 17:12 libpython3.10-stdlib:amd64.md5sums
-rwxr-xr-x 1 root root    1161 Mär 24 17:12 libpython3.10-stdlib:amd64.prerm

Remove manually the package

$ sudo mv /var/lib/dpkg/info/libpython3.10-stdlib:amd64.* /tmp

Repeat the same steps for libpython3.10-minimal. Then fix the broken packages

$ sudo apt --fix-broken install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  libpython3.10-minimal libpython3.10-stdlib
The following packages will be upgraded:
  libpython3.10-minimal libpython3.10-stdlib
2 upgraded, 0 newly installed, 0 to remove and 8 not upgraded.
5 not fully installed or removed.
Need to get 0 B/2.566 kB of archives.
After this operation, 68,6 kB disk space will be freed.
Do you want to continue? [Y/n] 
dpkg: warning: files list file for package 'libpython3.10-stdlib:amd64'    missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpython3.10-minimal:amd64' missing; assuming package has no files currently installed
(Reading database ... 191581 files and directories currently installed.)
Preparing to unpack .../libpython3.10-stdlib_3.10.4-1+focal2_amd64.deb ...
Unpacking libpython3.10-stdlib:amd64 (3.10.4-1+focal2) over  (3.10.4-1+focal1) ...
Preparing to unpack .../libpython3.10-minimal_3.10.4-1+focal2_amd64.deb ...
Unpacking libpython3.10-minimal:amd64 (3.10.4-1+focal2) over (3.10.4-1+focal1) ...
Setting up libpython3.10-minimal:amd64 (3.10.4-1+focal2) ...
Setting up python3.10-minimal (3.10.4-1+focal2) ...
Setting up libpython3.10-stdlib:amd64 (3.10.4-1+focal2) ...
Setting up libpython3.10:amd64 (3.10.4-1+focal2) ...
Setting up python3.10 (3.10.4-1+focal2) ...
Setting up libpython3.10-dev:amd64 (3.10.4-1+focal2) ...
Setting up python3.10-dev (3.10.4-1+focal2) ...

Original Author Michel OMBESSA Of This Content

Solution 2

Same thing happened to me. When apt fails I go for https://pkgs.org/, search the package, download and install manually. It usually works.

Original Author Fernando Antunes Of This Content

Conclusion

So This is all About This Tutorial. Hope This Tutorial Helped You. Thank You.

Also Read,

Siddharth

I am an Information Technology Engineer. I have Completed my MCA And I have 4 Year Plus Experience, I am a web developer with knowledge of multiple back-end platforms Like PHP, Node.js, Python and frontend JavaScript frameworks Like Angular, React, and Vue.

Leave a Comment